All Projects

ProjectCategoryTask TypePrioritySeveritySummaryStatus  descProgress
PackagesStableBug ReportVery LowHigh[vlc] DVB : cache_block stream error: cannot pre fill b...Unconfirmed
0%
Task Description

Current VLC version (3.0.4-3.hyperbola1.backports1) fails to play DVB stream using a RTL2832 usb dongle.

I start the playlist like this :

vlc channels.conf

but it returns the following error :

cache_block stream error: cannot pre fill buffer

Also, it asks the user to be in “video” group to access DVB device, this was not needed before with Hyperbola 0.2.9. User being in “wheel” was enough.
Anyway, even after adding my user to video group, it still fails with “cache_block stream error: cannot pre fill buffer”

This is not an issue with my DVB adapter or driver. rtl2832 is correctly loaded. And I can play the channels.conf playlist just fine with “mpv” or “mplayer”.
Also, the channels.conf used works just fine with a more recent version of VLC on an other system (Manjaro) so something is broken with the current VLC used.

Maybe a package bump would fix the issue.

PackagesAnyBug ReportVery LowHigh[rubyripper] GUI doesn't workUnconfirmed
0%
Task Description

rrip_gui does not work. The fix is to install cairo-gobject which is not in the repos. Attached is a working PKGBUILD adapted from the official one.

PackagesStableBug ReportVery LowMedium[sshguard] violates Hyperbola packaging standardsUnconfirmed
0%
Task Description

Description:
The sshguard package should have its /usr/bin/sshguard executable in /usr/sbin, has systemd service files and no OpenRC init script

Additional info:
* sshguard-2.0.0-4
* when I run `sshguard`:

# sshguard
/usr/bin/sshguard: line 87: /usr/bin/journalctl: No such file or directory

* default /etc/sshguard.conf

LOGREADER="LANG=C /usr/bin/journalctl -afb -p info -n1 -t sshd -o cat"
BLACKLIST_FILE=120:/var/db/sshguard/blacklist.db
BACKEND="/usr/lib/sshguard/sshg-fw-iptables"

(commenting the first line temporally solves the issue)

PackagesStableBug ReportVery LowMedium[fail2ban] remove systemd integrationUnconfirmed
0%
Task Description

Description:
This package has a strong systemd integration. It has a systemd backend to get files modifications:

(from /etc/fail2ban/jail.conf)

# systemd:   uses systemd python library to access the systemd journal.
#              Specifying "logpath" is not valid for this backend.
#              See "journalmatch" in the jails associated filter config

and many files at /etc/fail2ban/filter.d have systemd stuff

[/etc/fail2ban/filter.d] [0]
$ grep -i systemd *
dovecot.conf:#journalmatch = _SYSTEMD_UNIT=dovecot.service
ejabberd-auth.conf:# Notes.:  systemd journalctl style match filter for journal based backend
postfix.conf:journalmatch = _SYSTEMD_UNIT=postfix.service
postfix-sasl.conf:#journalmatch = _SYSTEMD_UNIT=postfix.service
pure-ftpd.conf:journalmatch = _SYSTEMD_UNIT=pure-ftpd.service + _COMM=pure-ftpd
recidive.conf:journalmatch = _SYSTEMD_UNIT=fail2ban.service PRIORITY=5
sshd.conf:journalmatch = _SYSTEMD_UNIT=sshd.service + _COMM=sshd
sshd-ddos.conf:journalmatch = _SYSTEMD_UNIT=sshd.service + _COMM=sshd

Additional info:
* fail2ban-0.9.6-2.hyperbola3

PackagesStableBug ReportVery LowVery Low[fail2ban] update dovecot failregex to support verbose ...Unconfirmed
0%
Task Description

Description:
The /etc/fail2ban/filter.d/dovecot.conf file has a failregex with the following:

^%(__prefix_line)s(?:auth|auth-worker\(\d+\)): (?:pam|passwd-file)\(\S+,<HOST>\): unknown user\s*$

and works with things like:

Month day time hostname dovecot: auth: passwd-file(user@domain.com,IP): unknown user

but with verbosity enabled in Dovecot, this output looks like this:

Month day time hostname dovecot: auth: passwd-file(user@domain.com,IP): unknown user (given password: password)

and in this case it doesn’t work, but it does if we fix the failregex if we replace it with:

^%(__prefix_line)s(?:auth|auth-worker\(\d+\)): (?:pam|passwd-file)\(\S+,<HOST>\): unknown user( \(given password: \S*\))?\s*$

with this new expression, it works with and without verbosity

And regarding postfix, to make it work correctly I “backported” some pieces from newest failregex:

/etc/fail2ban/postfixr-rbl.conf:

^%(__prefix_line)sNOQUEUE: reject: RCPT from \S+\[<HOST>\]: [45]54 [45]\.7\.1 Service unavailable; Client host \[\S+\] blocked using .* from=<\S*> to=<\S+> proto=ESMTP helo=<\S*>$

/etc/fail2ban/postfix.conf: (second failregex)

^%(__prefix_line)sNOQUEUE: reject: RCPT from \S+\[<HOST>\]: 45[04] 4\.7\.1 Client host rejected: cannot find your (reverse )?hostname, (\[\S*\]); from=<\S*> to=<\S+> proto=ESMTP helo=<\S*>$

I can create a patch if you want. Note that I haven’t tested all filters, some others may also need some rework

Additional info:
* fail2ban-0.9.6-2.hyperbola3

PackagesStableBug ReportVery LowMedium[fail2ban] uses old /usr/bin/sendmail location when it ...Unconfirmed
0%
Task Description

Description:

I saw errors in logs because fail2ban couldn’t find /usr/bin/sendmail, and discovered this:

[/etc/fail2ban] [0]
$ grep /usr/bin/sendmail */*
action.d/sendmail-buffered.conf:              Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-buffered.conf:                 Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-buffered.conf:             Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-buffered.conf:                Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-common.conf:              Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-common.conf:             Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-geoip-lines.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-ipjailmatches.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-ipmatches.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-lines.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-matches.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>

Please, also check for other binaries with wrong locations

As of now, the solution is as simple as removing this line → https://git.hyperbola.info:50100/packages/community.git/tree/fail2ban/PKGBUILD#n79

Additional info:
* fail2ban-0.9.6-2.hyperbola3

PackagesStableBug ReportVery LowHigh[nftables] init service ERROR: nftables failed to startUnconfirmed
0%
Task Description

Error: conflicting protocols specified: inet-service vs. icmp

when using

ip protocol icmp icmp type echo-request counter accept comment “accept ICMP echo-request type” ip6 nexthdr icmpv6 icmpv6 type { destination-unreachable, packet-too-big, time-exceeded, parameter-problem, mld-listener-query, mld-listener-report, mld-listener-reduction, nd-router-solicit, nd-router-advert, nd-neighbor-solicit, nd-neighbor-advert } accept comment “Accept ICMPv6”

It is a known bug on 0.7 and solved on 0.9

https://bugzilla.netfilter.org/show_bug.cgi?id=1073 commit 0011985554e269e1cc8f8e5b41eb9dcd795ebe8c fixes this problem upstream.

PackagesStableBug ReportVery LowMedium[postgrey] has systemd service and no OpenRC init scrip...Unconfirmed
0%
Task Description

Description:
The title says everything

Also, it doesn’t follow the FHS (/usr/bin/postgrey should be in /usr/sbin)

Additional info:
* postgrey-1.37-1

PackagesStableBug ReportVery LowLow[autofs]: default configuration is /etc/auto.master ins...Unconfirmed
0%
Task Description

Description:

default configuration is /etc/auto.master instead of /etc/autofs/auto.master

admin→ sudo /usr/bin/automount -v -f -p /run/autofs.pid
Starting automounter version 5.1.2, master map /etc/auto.master
using kernel protocol version 5.02
lookup(file): file map /etc/auto.master missing or not readable
no mounts in table

PackagesStableBug ReportVery LowMediumlinphonec error (cli version)Unconfirmed
0%
Task Description

Description:
linphonec is unusable because a error produce a continuous log

Additional info:
linphone 3.11.1-1.hyperbola1

Steps to reproduce:
linphonec

Log:
linphonec> 2019-12-15 19:25:58:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:03:012 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:08:018 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:13:013 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:18:016 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:23:014 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:28:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:33:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:38:012 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:43:015 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:48:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:53:010 ortp-error-Error in connect: Network is unreachable

PackagesAnyBug ReportVery LowLowXenocara xbacklight bugUnconfirmed
0%
Task Description

When i try to set the brightness on my screen, with xbacklight -set 100,

it does this:

No outputs have backlight property

and it doesn’t really matter if I set it lower than 100 or what it currently is at.

Fix when you can please!

PackagesAnyBug ReportVery LowLowlightdm/lxdm bugUnconfirmed
0%
Task Description

It appears when I plug in my libreboot laptop x200 in, it appears to dim the screen and when its unplugged, the screen is bright again. Something peculiar is at work, I wondered if this could be fixed.

My assumption is it is related to lxdm or lightdm. Any thoughts?

I am currently using 0.4, so I don’t expect this to be a fast process, just when you get a chance okay?

PackagesStableBug ReportVery LowLow[dhcpcd-ui] Adding icons from "Network-Manager Applet"Unconfirmed
0%
Task Description

When using the package for wireless connections no further icon is displayed without having the package [b]network-manager-applet[/b] installed.

ServicesHyperWebBug ReportVery LowMediumThe Mailling list don't workUnconfirmed
0%
Task Description

The Mailling list don't work : https://lists.hyperbola.info//mailman/listinfo/

PackagesStableBug ReportVery LowCritical[gtk-2] Severe problems with GTK2-applicationsUnconfirmed
0%
Task Description

Description: Since the migration to xenocara there seems to be a bug with applications using GTK-2. From time to time there are crashes with assertion `!xcb_xlib_threads_sequence_lost’.

Looking into this a little bit more deep there are also other distributions affected and this is an upstream-bug. But the concrete situation is not that easy, while it could be also part of the library libX11 itself. Looking therefore here: https://bugs.launchpad.net/ubuntu/+source/pcmanfm/+bug/1782984

Affected are for example LXDE in general, icedove, iceweasel and many more!

ServicesMail Service IssueBug ReportVery LowMediumCannot send emails to hyperbola.info addressesUnconfirmed
0%
Task Description

Hi,

My email server (riseup.net) fails to deliver emails to hyperbola.info. Here’s the error message coming in the returned email:

Reporting-MTA: dns; mx1.riseup.net
X-Postfix-Queue-ID: 49vvwD4xQnzFf2F
X-Postfix-Sender: rfc822; xxxxx@riseup.net
Arrival-Date: Sun, 28 Jun 2020 08:40:44 -0700 (PDT)

Final-Recipient: rfc822; xxxxx@hyperbola.info
Original-Recipient: rfc822;xxxxx@hyperbola.info
Action: failed
Status: 4.7.5
Diagnostic-Code: X-Postfix; Server certificate not verified

This problem did not occur last time I sent emails to a hyperbola.info account (December 2019).
It does not happen with any other destination email server. My guess is that something isn’t properly configured in your server.
If you conclude that this is a riseup.net problem, let me know and I’ll open a bug report with them.

PackagesAnyDrop RequestVery LowMedium[hardening-wrapper] deprecated, not needed anymoreUnconfirmed
0%
Task Description

According to : https://github.com/thestinger/hardening-wrapper-deprecated

Wrapper scripts for building hardened executables by default (deprecated, replaced by standard Arch Linux toolchain changes)

PackagesStableDrop RequestVery LowCritical[osdbattery] Unmaintained and unsupportableUnconfirmed
0%
Task Description

osdbattery is (probably) useless and broken so Conky did compete because It is still unmaintained and unsupported over 14 years ago (last released version 1.4 on August 23, 2005), and should be removed per anti-abandonware rule at the packaging guidelines.

Also, the default config file contains non-libre/free Microsoft font Verdana as X11 font format property in font variable.

PackagesAnyFeature RequestVery LowLow[nextcloud-client] add packageUnconfirmed
0%
Task Description

I use Nextcloud for syncing, although, I would normally not ask for this, due to Nextcloud’s appimage being available, but for some reason the latest version doesn’t work on hyperbola. So... yeah.

Usually Nextcloud’s appimage works regardless of what packages you have, so I guess in essence... add Nextcloud-client package to this system is my request.

PackagesAnyFeature RequestLowLow[scribus] missing hunspell supportUnconfirmed
0%
Task Description

I have noticed that the version of scribus that is available in hyperbola does not have the option of spelling correction and by references of the official scribus channel indicate that scribus has to be built with hunspell. I do not understand how that is done, I just need to be able to correct spelling from scribus.

PackagesAnyFeature RequestMediumMedium[pybitmessage] Package RequestUnconfirmed
0%
Task Description

PyBitmessage is a secure p2p e-mail alternative. It could be useful to package it.

https://github.com/Bitmessage/PyBitmessage/releases https://aur.archlinux.org/packages/pybitmessage/ https://aur.archlinux.org/packages/pybitmessage-git/ (contains a firejail profile)

PackagesAnyFeature RequestVery LowVery LowDreamchess package wantedUnconfirmed
0%
Task Description

this package is under gpl3. It is the most reasonable chess game because it can be easy or hard depending on your preference.

PackagesStableFeature RequestVery LowLow[digikam]: /usr/bin/cleanup_digikamdb: line 61: kreadco...Unconfirmed
0%
Task Description

Description:

I just guess that this script cleanup_digikamdb depends on kreadconfig which is not there.

Additional info:

extra/digikam 5.5.0-2.hyperbola1 [installed]

  Digital photo management application for KDE

Steps to reproduce:

$ cleanup_digikamdb

/usr/bin/cleanup_digikamdb: line 61: kreadconfig: command not found


                  Cleanup Databases v1.1 (digiKam )                    

————————————————————————-
/usr/bin/cleanup_digikamdb: line 61: kreadconfig: command not found
This program only handles SQLite databases.
[~]

PackagesAnyFeature RequestLowLow[npapi-vlc] package from git sourceUnconfirmed
0%
Task Description

Description: As mentioned in Bug #18, our VLC plugin was not maintained in some time and the deprecated addon was removed. However, upstream is actively working on the plugin as per: https://code.videolan.org/videolan/npapi-vlc/tree/master

We should build this from source and re-package.

PackagesStableFeature RequestVery LowLow[iceweasel-uxp] Request browser add-on: Privacy Setting...Unconfirmed
0%
Task Description

Name: Privacy Settings
Version: 0.2.6 (compatible Firefox version 52.* to 56.*)
Author: Jeremy Schomery (j_schomery)
Licence: Mozilla Public Licence (MPL) 2.0
Source code: Github
Description: Alter Firefox’s built-in privacy settings easily with a toolbar panel.

PackagesStableFeature RequestVery LowLow[iceweasel-uxp] Request browser add-on: Classic Theme R...Unconfirmed
0%
Task Description

Name: Classic Theme Restorer
Version: 1.7.7.2 (compatible Firefox version 45.* to 56.*)
Author: Aris (Aris-t2)
Licence: Mozilla Public Licence (MPL) 2.0
Source code: Github
Description: Squared tabs, application menu, add-on bar, small button view and many more ‘old’ features for ‘Firefox 29-56’, not for Firefox 57+!

PackagesAnyFeature RequestVery LowMediumQemu-kvm package requestUnconfirmed
0%
Task Description

1:2.8 or later, qemu-kvm

This would make qemu so much easier and faster, please support this package.

PackagesAnyFeature RequestVery LowLow[dreamchess]please add packageUnconfirmed
0%
Task Description

The package appears in parabola’s pcr repository. I modified the AUR PKGBUILD to compile the last stable version (and the installation works fine). Please add this package to the official repos.

https://aur.archlinux.org/packages/dreamchess-git/ https://www.parabola.nu/packages/pcr/x86_64/dreamchess-git/

InstallationGeneralFeature RequestVery LowLow[FAQ]Please note that not all RAR archives are supporte...Unconfirmed
0%
Task Description

I tried to extract a RAR v5 archive using unar that works fine when using the non-free unrar.

Here is the log (with the file name altered)

$ unar file.part1.rar
file.part1.rar: RAR 5

file.mp4  (-2144860915 B)... Failed! (Attempted to read more data than was available)

Extraction to current directory failed! (1 file failed.)

Please add in the FAQ that newer RAR archives (version 5) may not work when using unar.

PackagesAnyFeature RequestVery LowLow[vobsub2srt] please add packageUnconfirmed
0%
Task Description

here is the description from the website

https://github.com/ruediger/VobSub2SRT

VobSub2SRT is a simple command line program to convert .idx / .sub subtitles into .srt text subtitles by using OCR. It is based on code from the MPlayer project - a really really great movie player. Some minor parts are copied from ffmpeg/avutil headers. Tesseract is used as OCR software.

vobsub2srt is released under the GPL3+ license. The MPlayer code included is GPL2+ licensed.

The quality of the OCR depends on the text in the subtitles. Currently the code does not use any preprocessing. But I’m currently looking into adding filters and scaling options to improve the OCR. You can correct mistakes in the .srt files with a text editor or a special subtitle editor.

Attached is a working PKGBUILD for the latest stable version.

PackagesAnyFeature RequestVery LowMedium[slim-themes] please add hyperbola branded variantUnconfirmed
0%
Task Description

slim-themes seems to be considered free according to Parabola - they have an issue with arch branding (slim-themes::::[branding][FIXME:package] has “archlinux” theme) which they resolve be creating the package parabola-themes-slim. Perhaps this can be the basis for hyperbola branded themes.

https://git.parabola.nu/blacklist.git/plain/blacklist.txt https://www.parabola.nu/packages/libre/x86_64/parabola-themes-slim/

ServicesGeneralFeature RequestVery LowLowhyperbola branding - add guidelines to packagesUnconfirmed
0%
Task Description

I could not find any regarding using arch or other branded themes. Parabola apparently rebrands some stuff in their libre repository, eg. they have their own parabola-themes-slim package for slim based themes.

https://issues.hyperbola.info/index.php?do=details&task_id=1213&opened=24&status[0]=

PackagesAnyFeature RequestVery LowMediumAdd Trinity DesktopUnconfirmed
0%
Task Description

I would like this, because, it looks even better than xfce4. It does use an older qt3 though, BUT, they are maintaining QT3 and improving it themselves.

Plus, its more lightweight than xfce4 and maybe even lxqt too without looking like crap like lxqt and yet still is better than a WM.

I know you don’t like stuff that is abandonware in any sense, but given its being maintained, I hope you will add it.

But let me know.

PackagesAnyFeature RequestVery LowLow[newsboat] Package RequestUnconfirmed
0%
Task Description

Description: Newsboat is an ncursers RSS/Atom feedreader. RSS and Atom are a number of widely-used XML formats to transmit, publish and syndicate articles, for example news or blog articles. Newsboat is designed to be used on text terminals on Unix or Unix-like systems such as GNU/Linux, FreeBSD or macOS.

Newsboat is a fork of Newsbeuter. The only difference is that Newsboat is actively maintained while Newsbeuter isn’t.

Additional info: Official Website: https://newsboat.org/

License(s): custom: MIT

Version: newsboat 2.13-1
https://www.archlinux.org/packages/community/x86_64/newsboat/

Reason of Request Less bloat than Liferea and easy to maintenance. Sites news are more ethical and decentralized than read the “news” on centralized Social Networks (Bubbles).
https://en.wikipedia.org/wiki/Social_media_bubble

PackagesAnyFeature RequestVery LowLowadd package powerkitUnconfirmed
0%
Task Description

https://github.com/rodlie/powerkit/releases

Version 1.0 requested

When you add Lumina desktop, add this package for sure. Although it is compatible with other desktops too. So it would be good to add it regardless.

PackagesAnyFeature RequestVery LowMediumAdd Draco DesktopUnconfirmed
0%
Task Description

https://github.com/rodlie/draco

its like Lumina Desktop, but its more lightweight and better for Gnu/Linux

:)

Matter of fact, I hope its okay, but the latest stable build, of Draco is vastly better than Lumina. And for this reason I wanted to know if you could put higher priority on this than the Lumina Desktop request.

PackagesAnyFeature RequestVery LowMedium[minidlna] remove systemd file and add openrc supportUnconfirmed
0%
Task Description

Description:

minidlna lacks openrc support and includes a systemd file

Additional info: none

Steps to reproduce:

$ sudo pacman -S minidlna
$ cat /usr/lib/systemd/system/minidlna.service

PackagesAnyFreedom IssueVery LowLow[texmacs] ERROR: Unbound variable: eval-when, and not s...Unconfirmed
0%
Task Description
texmacs 
ERROR: Unbound variable: eval-when

it cannot start

PackagesAnyFreedom IssueVery LowLow[wireshark*] mentions non-free OSes in pacman descripti...Unconfirmed
0%
Task Description
community/wireshark-cli 2.2.6-1
    a free network protocol analyzer for Unix/Linux and Windows - CLI version
community/wireshark-common 2.2.6-1
    Common files used by wireshark-gtk and wireshark-qt
community/wireshark-gtk 2.2.6-1
    a free network protocol analyzer for Unix/Linux and Windows - GTK frontend
community/wireshark-qt 2.2.6-1
    a free network protocol analyzer for Unix/Linux and Windows - Qt frontend

It’s better to change to a more neutral description such as “a cross-platform network protocol analyzer - CLI/GTK/Qt version”.

PackagesAnyFreedom IssueVery LowLow[keepass] mentions non-free OSes in pacman package desc...Unconfirmed
0%
Task Description
community/keepass 2.35-2
    A easy-to-use password manager for Windows, Linux, Mac OS X and mobile
    devices.

Better to change to something like “A cross-platform password manager supporting mobile devices”.

PackagesAnyFreedom IssueMediumLow[openjpeg] vague terminology "Open Source" in descripti...Unconfirmed
0%
Task Description

This package contains vague terminology “Open Source”:

extra/openjpeg 1.5.2-1
    An open source JPEG 2000 codec

According to:
https://www.gnu.org/distros/free-system-distribution-guidelines.html

We shall avoid vague terminology such as “Open Source”, please see here:
https://www.gnu.org/philosophy/words-to-avoid.html#Open

It would be good example to set to have proper description of packages without using “Open Source”.

eg.

A free software JPEG 2000 codec
PackagesAnyFreedom IssueVery LowLow[freecad] Steering users towards non-free softwareUnconfirmed
0%
Task Description

Description: FreeCAD may be free software, yet its features are steering users towards non-free software. It is asking for Teigha File Converter which is proprietary software, and it is asking for the path in order to enable the option import/export.

Additional info:

* package version: community/freecad 0.16-9

Steps to reproduce:

After attempt to open the DWF/DXF file FreeCad is to request the Teigha File Converter which is proprietary software.

Under the menu Edit → Preferences → Import/Export → DWG, one can see the request to enter the path to Teigha File Converter.

Teigha File Converter with proprietary license

FreeCAD requesting the path to Teigha File Converter

PackagesAnyFreedom IssueVery LowLow[libspnav] extra/libspnav 0.2.3-1, mentions "alternativ...Unconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

extra/libspnav 0.2.3-1 [installed]
    Alternative to the proprietary 3Dconnexion device driver and SDK for their 3D input devices

PackagesAnyFreedom IssueVery LowLow[classpath] meantioning "replacement to proprietary cod...Unconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

community/classpath 0.99-3
    A free replacement for Sun's proprietary core Java class libraries.

My suggestion is to describe what software does, and to remove that it is free replacement for proprietary code, as it gives some kind of legitimacy to proprietary software.

PackagesAnyFreedom IssueVery LowLow[mp3wrap] mentioning in description to be "alternative"...Unconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

extra/mp3wrap 0.5-4
     Tool for wrapping mp3 files. A free independent alternative to AlbumWrap

Description is pointing to proprietary software, it should not, it shall be changed.

It is not alternative to proprietary, and description shall be changed. It gives some kind of legitimacy to proprietary software.

PackagesAnyFreedom IssueVery LowLow[pinta] mentioning proprietary software Paint.NETUnconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

community/pinta 1.6-2 [installed]
     Drawing/editing program modeled after Paint.NET. It's goal is to provide a simplified alternative to GIMP for casual users

I am not quite sure what the policy is in Hyperbola on this one. I am referring to the reference to the proprietary software Paint.NET. That is for me steering users to verify what is Paint.NET – we shall not be doing it. It should be removed from description.

I am fine if authors have in documentation something explaining how they started software project. But I am not fine in descriptions which are public and accessible on Internet to have such references to illegitimate proprietary software.

Just to clarify, the word “alternative” is just fine in this description and need not be removed.

PackagesAnyFreedom IssueVery LowLow[breeze]: referring to assets in descriptionUnconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

To refer to published works as “assets”, or “digital assets”, is even worse than calling them “content” — it presumes they have no value to society except commercial value.

extra/breeze 5.9.5-1 (plasma)
    Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
PackagesAnyFreedom IssueVery LowLow[knewstuff]: referring to assets in descriptionUnconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

To refer to published works as “assets”, or “digital assets”, is even worse than calling them “content” — it presumes they have no value to society except commercial value.

extra/knewstuff 5.33.0-1 (kf5)
    Support for downloading application assets from the network

PackagesAnyFreedom IssueVery LowLow[kpackage]: referring to assets in descriptionUnconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

To refer to published works as “assets”, or “digital assets”, is even worse than calling them “content” — it presumes they have no value to society except commercial value.

extra/kpackage 5.33.0-1 (kf5)
    Framework that lets applications manage user installable packages of non-binary assets

PackagesAnyFreedom IssueVery LowLow[openmw]: referring to assets in descriptionUnconfirmed
0%
Task Description

Description:

The description of the package need to be changed to accommodate:
https://www.gnu.org/philosophy/words-to-avoid.html

To refer to published works as “assets”, or “digital assets”, is even worse than calling them “content” — it presumes they have no value to society except commercial value.

community/openmw 0.41.0-3.hyperbola1
    A libre engine reimplementation for Morrowind-based role-playing games, without wizard installation support to install nonfree assets from Morrowind to run Morrowind
Showing tasks 251 - 300 of 484 Page 6 of 10<<First - 4 - 5 - 6 - 7 - 8 - Last >>

Available keyboard shortcuts

Tasklist

Task Details

Task Editing